# $Revision: 1.81 $, $Date: 2012/04/20 10:52:52 $
Summary:	EFI bootloader updater
Summary(pl.UTF-8):	Skrypt do uaktualniania bootloaderów EFI
Name:		efi-boot-update
Version:	0.2
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	%{name}
Source1:	update.conf
Source2:	grub.conf
Source3:	grub-installed.conf
Source4:	kernel.conf
Source5:	kernel-old.conf
Source10:	README
Source11:	TODO
URL:		http://www.pld-linux.org/
BuildRequires:	help2man
Suggests:	efibootmgr
Suggests:	efi-shell-x64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir /sbin

%description
Script to update EFI bootloaders.

%description -l pl.UTF-8
Skrypt do uaktualniania bootloaderów EFI.

%prep
%setup -qcT
cp %{SOURCE0} .
cp %{SOURCE10} %{SOURCE11} .

%build
chmod a+x %{name}
help2man --no-info ./%{name} > %{name}.8

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/efi-boot/update.d
install -d $RPM_BUILD_ROOT{/lib/efi/{ia32,x64},%{_sbindir},%{_mandir}/man8}

install %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
install %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/efi-boot
install %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT/etc/efi-boot/update.d
install %{SOURCE4} %{SOURCE5} $RPM_BUILD_ROOT/etc/efi-boot/update.d

%clean
rm -rf $RPM_BUILD_ROOT

# Most efi-boot-update-managed loaders will use kernel files
# even if the kernel itself is not built as EFI
%triggerin -- kernel
/sbin/efi-boot-update --auto || :
%triggerin -- kernel-longterm
/sbin/efi-boot-update --auto || :

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_sbindir}/%{name}
%dir /etc/efi-boot
%config(noreplace) %verify(not md5 mtime size) /etc/efi-boot/update.conf
%dir /etc/efi-boot/update.d
%config(noreplace) %verify(not md5 mtime size) /etc/efi-boot/update.d/grub.conf
%config(noreplace) %verify(not md5 mtime size) /etc/efi-boot/update.d/grub-installed.conf
%config(noreplace) %verify(not md5 mtime size) /etc/efi-boot/update.d/kernel.conf
%config(noreplace) %verify(not md5 mtime size) /etc/efi-boot/update.d/kernel-old.conf
%dir /lib/efi
%dir /lib/efi/ia32
%dir /lib/efi/x64
%{_mandir}/man8/%{name}.8*
%changelog
* Sat May 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/efi-boot-update.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 72e7b15
- x32 rebuild
- release 2 (by relup.sh)

* Thu Oct 24 2013 Jacek Konieczny <jajcus@jajcus.net> 34a0c59
- Version: 0.2

* Thu Oct 24 2013 Jacek Konieczny <jajcus@jajcus.net> 7dca6d5
- 'kernel' and 'kernel-old' modules added

* Thu Oct 24 2013 Jacek Konieczny <jajcus@jajcus.net> 3c17787
- @EFI_PLATFORM_PATH@ macro for us in $ARGS

* Thu Oct 24 2013 Jacek Konieczny <jajcus@jajcus.net> cd8795e
- Remove and re-add each boot variable

* Thu Oct 24 2013 Jacek Konieczny <jajcus@jajcus.net> eb77073
- Use -u instead of -@ to pass EFI loader arguments

* Thu Oct 24 2013 Jacek Konieczny <jajcus@jajcus.net> 6451bc2
- Some variable quotting added

* Thu Oct 24 2013 Jacek Konieczny <jajcus@jajcus.net> 7a5c96c
- Disable backslash escaping in echo

* Fri Nov 09 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> bc095b9
- Release: 2

* Sun Nov 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 566f1b8
- pl, better Group

* Sun Nov 04 2012 Jacek Konieczny <jajcus@jajcus.net> e962d02
- Release: 1

* Sun Nov 04 2012 Jacek Konieczny <jajcus@jajcus.net> 560a435
- update_file function fix

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 3509151
- Use --auto in the triggers

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> fd24b09
- Reasonable default boot order defined

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 99b2887
- The EFI shell is now packaged separately

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> f3ddbef
- xen.conf removed

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> fe76538
- -auto cmd-line option and ALLOW_AUTO flag added

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 1ef784d
- 'grub-installed' module added

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 7d8cd73
- version: 0.1, to match the spec file

* Wed Oct 31 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> f8b86fe
- It is not 'x32', it is 'ia32'

